Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.services.registration
Interface ConsumerRegistrationServiceLocal

    public interface ConsumerRegistrationServiceLocal

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`void` | `associatePortletToConsumer(int registrationHandle, int portletInstanceId)` Associates a portletInstance with the consumer that the former was created for.
`void` | `deregister(int registrationHandle)` Deregisters a consumer with this producer.
`void` | `dissociatePortletFromConsumer(int registrationHandle, int portletInstanceId)` Dissociates a portlet from a consumer it is associated with.
`List<RegistrationPropertyDescriptionType>` | `getRegistrationProperties(List uris)` Retrieves all configured registration properties.
`List<RegistrationPropertyValue>` | `getRegistrationPropertyValues(int registrationHandle)` Retrieves registration properties and their values for the given consumer.
`boolean` | `isRegistered(int registrationHandle)` Checks to see if a given registrationHandle is valid.
`void` | `modifyRegistration(int registrationHandle, String webappName, String consumerName, String consumerAgent, Map properties, boolean isStrict)` Modifies an existing registration for this producer.
`int` | `register(String webappName, String consumerName, String consumerAgent, Map properties, boolean isStrict)` Registers a consumer with this producer.

Method Detail

### register

    int register(String webappName,
                 String consumerName,
                 String consumerAgent,
                 Map properties,
                 boolean isStrict)
                 throws EJBException

  Registers a consumer with this producer.

  Parameters
    `webappName` - The name of the webapp performing the registration
    `consumerName` - The consumer's name
    `consumerAgent` - The consumer's agent
    `properties` - The registration properties
    `isStrict` - Flag to specify is registration should fail if any property value is unacceptable
  Returns
    The generated registration handle
  Throws
    `EJBException`

### modifyRegistration

    void modifyRegistration(int registrationHandle,
                            String webappName,
                            String consumerName,
                            String consumerAgent,
                            Map properties,
                            boolean isStrict)
                            throws EJBException

  Modifies an existing registration for this producer.

  Parameters
    `registrationHandle` - The registration handle for the consumer to be deregistered
    `webappName` - The name of the webapp performing the registration modification
    `consumerName` - The consumer's name
    `consumerAgent` - The consumer's agent
    `properties` - The registration properties
    `isStrict` - Flag to specify is modify registration should fail if any property value is unacceptable
  Throws
    `EJBException`

### deregister

    void deregister(int registrationHandle)
                    throws EJBException

  Deregisters a consumer with this producer.

  Parameters
    `registrationHandle` - The registration handle for the consumer to be deregistered
  Throws
    `EJBException`

### isRegistered

    boolean isRegistered(int registrationHandle)
                         throws EJBException

  Checks to see if a given registrationHandle is valid.

  Parameters
    `registrationHandle` - The registration handle to check for validity
  Returns
    Whether or not the registrationHandle was found in the persistent store
  Throws
    `EJBException`

### associatePortletToConsumer

    void associatePortletToConsumer(int registrationHandle,
                                    int portletInstanceId)
                                    throws EJBException

  Associates a portletInstance with the consumer that the former was created for.

  Parameters
    `registrationHandle` - consumer registration handle
    `portletInstanceId` - instance id of the portlet
  Throws
    `EJBException`

### getRegistrationProperties

    List<RegistrationPropertyDescriptionType> getRegistrationProperties(List uris)
                                                                        throws EJBException

  Retrieves all configured registration properties.

  Returns
    An array of registration properties, empty if none defined
  Throws
    `EJBException`

### getRegistrationPropertyValues

    List<RegistrationPropertyValue> getRegistrationPropertyValues(int registrationHandle)
                                                                  throws EJBException

  Retrieves registration properties and their values for the given consumer.

  Returns
  Throws
    `EJBException`

### dissociatePortletFromConsumer

    void dissociatePortletFromConsumer(int registrationHandle,
                                       int portletInstanceId)
                                       throws Exception

  Dissociates a portlet from a consumer it is associated with.

  Parameters
    `registrationHandle` - consumer registration handle
    `portletInstanceId` - instance id of the portlet
  Throws
    `Exception` - Indicates a generic error has occurred executing the operation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved